Ipelib

- Main Page
- Related Pages
- Modules
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
ipe::PdfFile Class Reference
Ipe Base

`#include <ipepdfparser.h>`

## Public Member Functions

| PdfFile ()
| ~PdfFile ()
bool | parse (DataSource &source)
const PdfObj * | object (int num) const
const PdfDict * | catalog () const
const PdfDict * | page () const

## Detailed Description

All information obtained by parsing a PDF file.

## Constructor & Destructor Documentation

PdfFile::PdfFile | ( |  | ) |

Create empty container.

PdfFile::~PdfFile | ( |  | ) |

## Member Function Documentation

bool PdfFile::parse | ( | DataSource & | source | ) |

Parse entire PDF stream, and store objects.

const PdfObj * PdfFile::object | ( | int | num | ) | const

Return object with number num.

const PdfDict * PdfFile::catalog | ( |  | ) | const

Return root catalog of PDF file.

const PdfDict * PdfFile::page | ( |  | ) | const

Return first page of the document.

The documentation for this class was generated from the following files:

- ipepdfparser.h
- ipepdfparser.cpp